Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class HeaderType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.HeaderType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class HeaderType extends Object implements Serializable
to specify the routing of the message

Java class for headerType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="headerType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="confidentiality" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}confidentialityType" minOccurs="0"/>
             <element name="standard" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}standardType"/>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time"/>
             <element name="sender" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}senderType"/>
             <element name="recipient" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}recipientType" maxOccurs="unbounded"/>
             <element name="urgency" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}urgencyType" minOccurs="0"/>
             <element name="acknowledgment" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}acknowledgmentType" minOccurs="0"/>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="lnk" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}lnkType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="expirationdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="externalsource" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="source" maxOccurs="unbounded">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence>
                                 <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-EXTERNALSOURCE" maxOccurs="unbounded"/>
                                 <element name="datetime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                                 <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                                 <element name="proof" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                               </sequence>
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AcknowledgmentType`
  `getAcknowledgment()`
  Gets the value of the acknowledgment property.
  `ConfidentialityType`
  `getConfidentiality()`
  Gets the value of the confidentiality property.
  `Instant`
  `getDate()`
  creation date of the message
  `Instant`
  `getExpirationdate()`
  expiration date of the message (used a.o.
  `Externalsource`
  `getExternalsource()`
  Gets the value of the externalsource property.
  `List<IDKMEHR>`
  `getIds()`
  this must be a unique number within the Belgian Telematics Healthcare system .
  `List<LnkType>`
  `getLnks()`
  to link the header with another element of the Belgian Healthcare Telematics System Gets the value of the lnks property.
  `List<RecipientType>`
  `getRecipients()`
  Gets the value of the recipients property.
  `SenderType`
  `getSender()`
  Gets the value of the sender property.
  `StandardType`
  `getStandard()`
  Gets the value of the standard property.
  `List<TextType>`
  `getTexts()`
  Gets the value of the texts property.
  `Instant`
  `getTime()`
  creation time of the message
  `UrgencyType`
  `getUrgency()`
  Gets the value of the urgency property.
  `void`
  `setAcknowledgment(AcknowledgmentType value)`
  Sets the value of the acknowledgment property.
  `void`
  `setConfidentiality(ConfidentialityType value)`
  Sets the value of the confidentiality property.
  `void`
  `setDate(Instant value)`
  Sets the value of the date property.
  `void`
  `setExpirationdate(Instant value)`
  Sets the value of the expirationdate property.
  `void`
  `setExternalsource(Externalsource value)`
  Sets the value of the externalsource property.
  `void`
  `setSender(SenderType value)`
  Sets the value of the sender property.
  `void`
  `setStandard(StandardType value)`
  Sets the value of the standard property.
  `void`
  `setTime(Instant value)`
  Sets the value of the time property.
  `void`
  `setUrgency(UrgencyType value)`
  Sets the value of the urgency property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeaderType

    public HeaderType()

- ## Method Details

  - ### getConfidentiality

    public ConfidentialityType getConfidentiality()
    Gets the value of the confidentiality property.
    Returns:
      possible object is `ConfidentialityType`

  - ### setConfidentiality

    public void setConfidentiality(ConfidentialityType value)
    Sets the value of the confidentiality property.
    Parameters:
      `value` - allowed object is `ConfidentialityType`

  - ### getStandard

    public StandardType getStandard()
    Gets the value of the standard property.
    Returns:
      possible object is `StandardType`

  - ### setStandard

    public void setStandard(StandardType value)
    Sets the value of the standard property.
    Parameters:
      `value` - allowed object is `StandardType`

  - ### getIds

    public List<IDKMEHR> getIds()
    this must be a unique number within the Belgian Telematics Healthcare system . It should result of the concatenation of the first sender hcparty id of the current message, a dot and a unique identifier within the sending system. In addition, it can also specify alternative local numbers. Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

         getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `IDKMEHR`

    Returns:
      The value of the ids property.

  - ### getDate

    public Instant getDate()
    creation date of the message
    Returns:
      possible object is `String`

  - ### setDate

    public void setDate(Instant value)
    Sets the value of the date property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDate()`

  - ### getTime

    public Instant getTime()
    creation time of the message
    Returns:
      possible object is `String`

  - ### setTime

    public void setTime(Instant value)
    Sets the value of the time property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTime()`

  - ### getSender

    public SenderType getSender()
    Gets the value of the sender property.
    Returns:
      possible object is `SenderType`

  - ### setSender

    public void setSender(SenderType value)
    Sets the value of the sender property.
    Parameters:
      `value` - allowed object is `SenderType`

  - ### getRecipients

    public List<RecipientType> getRecipients()
    Gets the value of the recipients property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the recipients property.

    For example, to add a new item, do as follows:

         getRecipients().add(newItem);

    Objects of the following type(s) are allowed in the list `RecipientType`

    Returns:
      The value of the recipients property.

  - ### getUrgency

    public UrgencyType getUrgency()
    Gets the value of the urgency property.
    Returns:
      possible object is `UrgencyType`

  - ### setUrgency

    public void setUrgency(UrgencyType value)
    Sets the value of the urgency property.
    Parameters:
      `value` - allowed object is `UrgencyType`

  - ### getAcknowledgment

    public AcknowledgmentType getAcknowledgment()
    Gets the value of the acknowledgment property.
    Returns:
      possible object is `AcknowledgmentType`

  - ### setAcknowledgment

    public void setAcknowledgment(AcknowledgmentType value)
    Sets the value of the acknowledgment property.
    Parameters:
      `value` - allowed object is `AcknowledgmentType`

  - ### getTexts

    public List<TextType> getTexts()
    Gets the value of the texts property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the texts property.

    For example, to add a new item, do as follows:

         getTexts().add(newItem);

    Objects of the following type(s) are allowed in the list `TextType`

    Returns:
      The value of the texts property.

  - ### getLnks

    public List<LnkType> getLnks()
    to link the header with another element of the Belgian Healthcare Telematics System Gets the value of the lnks property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lnks property.

    For example, to add a new item, do as follows:

         getLnks().add(newItem);

    Objects of the following type(s) are allowed in the list `LnkType`

    Returns:
      The value of the lnks property.

  - ### getExpirationdate

    public Instant getExpirationdate()
    expiration date of the message (used a.o. in prescription messages), can be used to remove a prescription form a prescription server
    Returns:
      possible object is `String`

  - ### setExpirationdate

    public void setExpirationdate(Instant value)
    Sets the value of the expirationdate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getExpirationdate()`

  - ### getExternalsource

    public Externalsource getExternalsource()
    Gets the value of the externalsource property.
    Returns:
      possible object is `Externalsource`

  - ### setExternalsource

    public void setExternalsource(Externalsource value)
    Sets the value of the externalsource property.
    Parameters:
      `value` - allowed object is `Externalsource`